diff --git a/src/main/java/net/minecraft/core/sound/BlockSoundDispatcher.java b/src/main/java/net/minecraft/core/sound/BlockSoundDispatcher.java
index 951ec9d27..dcd6ba559 100644
--- a/src/main/java/net/minecraft/core/sound/BlockSoundDispatcher.java
+++ b/src/main/java/net/minecraft/core/sound/BlockSoundDispatcher.java
@@ -1,393 +1 @@
-package net.minecraft.core.sound;
-
-import net.minecraft.client.util.dispatch.Dispatcher;
-import net.minecraft.core.block.Block;
-
-public class BlockSoundDispatcher
-    extends Dispatcher<Block, BlockSound>
-{
-    private static final BlockSoundDispatcher instance = new BlockSoundDispatcher();
-
-    public static BlockSoundDispatcher getInstance()
-    {
-        return instance;
-    }
-
-    private BlockSoundDispatcher()
-    {
-        addDispatch(Block.stone, BlockSounds.STONE);
-        addDispatch(Block.basalt, BlockSounds.STONE);
-        addDispatch(Block.limestone, BlockSounds.STONE);
-        addDispatch(Block.granite, BlockSounds.STONE);
-        addDispatch(Block.marble, BlockSounds.STONE);
-        addDispatch(Block.slate, BlockSounds.STONE);
-        addDispatch(Block.permafrost, BlockSounds.STONE);
-
-        addDispatch(Block.cobbleStone, BlockSounds.STONE);
-        addDispatch(Block.cobbleStoneMossy, BlockSounds.STONE);
-        addDispatch(Block.cobbleBasalt, BlockSounds.STONE);
-        addDispatch(Block.cobbleLimestone, BlockSounds.STONE);
-        addDispatch(Block.cobbleGranite, BlockSounds.STONE);
-        addDispatch(Block.cobblePermafrost, BlockSounds.STONE);
-
-        addDispatch(Block.stonePolished, BlockSounds.STONE);
-        addDispatch(Block.granitePolished, BlockSounds.STONE);
-        addDispatch(Block.limestonePolished, BlockSounds.STONE);
-        addDispatch(Block.basaltPolished, BlockSounds.STONE);
-        addDispatch(Block.slatePolished, BlockSounds.STONE);
-
-        addDispatch(Block.pillarMarble, BlockSounds.STONE);
-        addDispatch(Block.capstoneMarble, BlockSounds.STONE);
-
-        addDispatch(Block.sandstone, BlockSounds.STONE);
-
-        addDispatch(Block.stoneCarved, BlockSounds.STONE);
-        addDispatch(Block.graniteCarved, BlockSounds.STONE);
-        addDispatch(Block.limestoneCarved, BlockSounds.STONE);
-        addDispatch(Block.basaltCarved, BlockSounds.STONE);
-
-        addDispatch(Block.planksOak, BlockSounds.WOOD);
-        addDispatch(Block.planksOakPainted, BlockSounds.WOOD);
-
-        addDispatch(Block.torchCoal, BlockSounds.WOOD);
-//        addDispatch(Block.candleSoulwax, BlockSounds.CLOTH);
-
-        addDispatch(Block.ladderOak, BlockSounds.WOOD);
-
-        addDispatch(Block.fencePlanksOak, BlockSounds.WOOD);
-        addDispatch(Block.fencePlanksOakPainted, BlockSounds.WOOD);
-
-        addDispatch(Block.fencegatePlanksOak, BlockSounds.WOOD);
-        addDispatch(Block.fencegatePlanksOakPainted, BlockSounds.WOOD);
-
-        addDispatch(Block.bookshelfPlanksOak, BlockSounds.WOOD);
-
-        addDispatch(Block.wool, BlockSounds.CLOTH);
-
-        addDispatch(Block.brickClay, BlockSounds.STONE);
-        addDispatch(Block.brickStonePolished, BlockSounds.STONE);
-        addDispatch(Block.brickStonePolishedMossy, BlockSounds.STONE);
-        addDispatch(Block.brickSandstone, BlockSounds.STONE);
-        addDispatch(Block.brickGold, BlockSounds.METAL);
-        addDispatch(Block.brickLapis, BlockSounds.STONE);
-        addDispatch(Block.brickBasalt, BlockSounds.STONE);
-        addDispatch(Block.brickLimestone, BlockSounds.STONE);
-        addDispatch(Block.brickGranite, BlockSounds.STONE);
-        addDispatch(Block.brickMarble, BlockSounds.STONE);
-        addDispatch(Block.brickSlate, BlockSounds.STONE);
-        addDispatch(Block.brickStone, BlockSounds.STONE);
-        addDispatch(Block.brickPermafrost, BlockSounds.STONE);
-        addDispatch(Block.brickIron, BlockSounds.METAL);
-
-        addDispatch(Block.slabPlanksOak, BlockSounds.WOOD);
-        addDispatch(Block.slabCobbleStone, BlockSounds.STONE);
-        addDispatch(Block.slabSandstone, BlockSounds.STONE);
-        addDispatch(Block.slabBrickStonePolished, BlockSounds.STONE);
-        addDispatch(Block.slabStonePolished, BlockSounds.STONE);
-        addDispatch(Block.slabBrickMarble, BlockSounds.STONE);
-        addDispatch(Block.slabBrickClay, BlockSounds.STONE);
-        addDispatch(Block.slabCapstoneMarble, BlockSounds.STONE);
-        addDispatch(Block.slabCobbleBasalt, BlockSounds.STONE);
-        addDispatch(Block.slabCobbleLimestone, BlockSounds.STONE);
-        addDispatch(Block.slabCobbleGranite, BlockSounds.STONE);
-        addDispatch(Block.slabBrickBasalt, BlockSounds.STONE);
-        addDispatch(Block.slabBrickLimestone, BlockSounds.STONE);
-        addDispatch(Block.slabBrickGranite, BlockSounds.STONE);
-        addDispatch(Block.slabPlanksOakPainted, BlockSounds.WOOD);
-        addDispatch(Block.slabBrickSlate, BlockSounds.STONE);
-        addDispatch(Block.slabBrickStone, BlockSounds.STONE);
-        addDispatch(Block.slabGranitePolished, BlockSounds.STONE);
-        addDispatch(Block.slabLimestonePolished, BlockSounds.STONE);
-        addDispatch(Block.slabBasaltPolished, BlockSounds.STONE);
-
-        addDispatch(Block.stairsPlanksOak, BlockSounds.WOOD);
-        addDispatch(Block.stairsCobbleStone, BlockSounds.STONE);
-        addDispatch(Block.stairsBrickStonePolished, BlockSounds.STONE);
-        addDispatch(Block.stairsBrickMarble, BlockSounds.STONE);
-        addDispatch(Block.stairsCobbleBasalt, BlockSounds.STONE);
-        addDispatch(Block.stairsCobbleLimestone, BlockSounds.STONE);
-        addDispatch(Block.stairsCobbleGranite, BlockSounds.STONE);
-        addDispatch(Block.stairsBrickBasalt, BlockSounds.STONE);
-        addDispatch(Block.stairsBrickLimestone, BlockSounds.STONE);
-        addDispatch(Block.stairsBrickGranite, BlockSounds.STONE);
-        addDispatch(Block.stairsBrickClay, BlockSounds.STONE);
-        addDispatch(Block.stairsPlanksOakPainted, BlockSounds.WOOD);
-        addDispatch(Block.stairsBrickSlate, BlockSounds.STONE);
-        addDispatch(Block.stairsBrickStone, BlockSounds.STONE);
-
-        addDispatch(Block.obsidian, BlockSounds.STONE);
-
-        addDispatch(Block.glass, BlockSounds.GLASS);
-        addDispatch(Block.glassTinted, BlockSounds.GLASS);
-
-        addDispatch(Block.grass, BlockSounds.GRASS);
-        addDispatch(Block.grassRetro, BlockSounds.GRASS);
-        addDispatch(Block.grassScorched, BlockSounds.GRASS);
-
-        addDispatch(Block.pathDirt, BlockSounds.GRAVEL);
-
-        addDispatch(Block.dirt, BlockSounds.GRAVEL);
-        addDispatch(Block.dirtScorched, BlockSounds.GRAVEL);
-        addDispatch(Block.dirtScorchedRich, BlockSounds.GRAVEL);
-
-        addDispatch(Block.mud, BlockSounds.GRAVEL);
-        addDispatch(Block.mudBaked, BlockSounds.STONE);
-
-        addDispatch(Block.spongeDry, BlockSounds.GRASS);
-        addDispatch(Block.spongeWet, BlockSounds.GRASS);
-
-        addDispatch(Block.mossStone, BlockSounds.GRASS);
-        addDispatch(Block.mossBasalt, BlockSounds.GRASS);
-        addDispatch(Block.mossLimestone, BlockSounds.GRASS);
-        addDispatch(Block.mossGranite, BlockSounds.GRASS);
-
-        addDispatch(Block.sand, BlockSounds.SAND);
-        addDispatch(Block.gravel, BlockSounds.GRAVEL);
-
-        addDispatch(Block.bedrock, BlockSounds.STONE);
-
-        addDispatch(Block.fluidWaterFlowing, BlockSounds.DEFAULT);
-        addDispatch(Block.fluidWaterStill, BlockSounds.DEFAULT);
-        addDispatch(Block.fluidLavaFlowing, BlockSounds.DEFAULT);
-        addDispatch(Block.fluidLavaStill, BlockSounds.DEFAULT);
-
-        addDispatch(Block.logOak, BlockSounds.WOOD);
-        addDispatch(Block.logPine, BlockSounds.WOOD);
-        addDispatch(Block.logBirch, BlockSounds.WOOD);
-        addDispatch(Block.logCherry, BlockSounds.WOOD);
-        addDispatch(Block.logEucalyptus, BlockSounds.WOOD);
-        addDispatch(Block.logOakMossy, BlockSounds.WOOD);
-
-        addDispatch(Block.leavesOak, BlockSounds.GRASS);
-        addDispatch(Block.leavesOakRetro, BlockSounds.GRASS);
-        addDispatch(Block.leavesPine, BlockSounds.GRASS);
-        addDispatch(Block.leavesBirch, BlockSounds.GRASS);
-        addDispatch(Block.leavesCherry, BlockSounds.GRASS);
-        addDispatch(Block.leavesEucalyptus, BlockSounds.GRASS);
-        addDispatch(Block.leavesShrub, BlockSounds.GRASS);
-        addDispatch(Block.leavesCherryFlowering, BlockSounds.GRASS);
-        addDispatch(Block.leavesCacao, BlockSounds.GRASS);
-
-        addDispatch(Block.saplingOak, BlockSounds.GRASS);
-        addDispatch(Block.saplingOakRetro, BlockSounds.GRASS);
-        addDispatch(Block.saplingPine, BlockSounds.GRASS);
-        addDispatch(Block.saplingBirch, BlockSounds.GRASS);
-        addDispatch(Block.saplingCherry, BlockSounds.GRASS);
-        addDispatch(Block.saplingEucalyptus, BlockSounds.GRASS);
-        addDispatch(Block.saplingShrub, BlockSounds.GRASS);
-        addDispatch(Block.saplingCacao, BlockSounds.GRASS);
-
-        addDispatch(Block.tallgrass, BlockSounds.GRASS);
-        addDispatch(Block.tallgrassFern, BlockSounds.GRASS);
-        addDispatch(Block.deadbush, BlockSounds.GRASS);
-        addDispatch(Block.spinifex, BlockSounds.GRASS);
-        addDispatch(Block.algae, BlockSounds.GRASS);
-
-        addDispatch(Block.flowerYellow, BlockSounds.GRASS);
-        addDispatch(Block.flowerRed, BlockSounds.GRASS);
-
-        addDispatch(Block.mushroomBrown, BlockSounds.GRASS);
-        addDispatch(Block.mushroomRed, BlockSounds.GRASS);
-
-        addDispatch(Block.oreCoalStone, BlockSounds.STONE);
-        addDispatch(Block.oreCoalBasalt, BlockSounds.STONE);
-        addDispatch(Block.oreCoalLimestone, BlockSounds.STONE);
-        addDispatch(Block.oreCoalGranite, BlockSounds.STONE);
-
-        addDispatch(Block.oreIronStone, BlockSounds.STONE);
-        addDispatch(Block.oreIronBasalt, BlockSounds.STONE);
-        addDispatch(Block.oreIronLimestone, BlockSounds.STONE);
-        addDispatch(Block.oreIronGranite, BlockSounds.STONE);
-
-        addDispatch(Block.oreGoldStone, BlockSounds.STONE);
-        addDispatch(Block.oreGoldBasalt, BlockSounds.STONE);
-        addDispatch(Block.oreGoldLimestone, BlockSounds.STONE);
-        addDispatch(Block.oreGoldGranite, BlockSounds.STONE);
-
-        addDispatch(Block.oreLapisStone, BlockSounds.STONE);
-        addDispatch(Block.oreLapisBasalt, BlockSounds.STONE);
-        addDispatch(Block.oreLapisLimestone, BlockSounds.STONE);
-        addDispatch(Block.oreLapisGranite, BlockSounds.STONE);
-
-        addDispatch(Block.oreRedstoneStone, BlockSounds.STONE);
-        addDispatch(Block.oreRedstoneBasalt, BlockSounds.STONE);
-        addDispatch(Block.oreRedstoneLimestone, BlockSounds.STONE);
-        addDispatch(Block.oreRedstoneGranite, BlockSounds.STONE);
-
-        addDispatch(Block.oreRedstoneGlowingStone, BlockSounds.STONE);
-        addDispatch(Block.oreRedstoneGlowingBasalt, BlockSounds.STONE);
-        addDispatch(Block.oreRedstoneGlowingLimestone, BlockSounds.STONE);
-        addDispatch(Block.oreRedstoneGlowingGranite, BlockSounds.STONE);
-
-        addDispatch(Block.oreDiamondStone, BlockSounds.STONE);
-        addDispatch(Block.oreDiamondBasalt, BlockSounds.STONE);
-        addDispatch(Block.oreDiamondLimestone, BlockSounds.STONE);
-        addDispatch(Block.oreDiamondGranite, BlockSounds.STONE);
-
-        addDispatch(Block.oreNethercoalNetherrack, BlockSounds.STONE);
-
-        addDispatch(Block.blockCoal, BlockSounds.STONE);
-        addDispatch(Block.blockIron, BlockSounds.METAL);
-        addDispatch(Block.blockGold, BlockSounds.METAL);
-        addDispatch(Block.blockLapis, BlockSounds.STONE);
-        addDispatch(Block.blockRedstone, BlockSounds.STONE);
-        addDispatch(Block.blockDiamond, BlockSounds.STONE);
-        addDispatch(Block.blockNetherCoal, BlockSounds.STONE);
-        addDispatch(Block.blockSteel, BlockSounds.METAL);
-        addDispatch(Block.blockQuartz, BlockSounds.STONE);
-        addDispatch(Block.blockOlivine, BlockSounds.STONE);
-        addDispatch(Block.blockCharcoal, BlockSounds.STONE);
-
-        addDispatch(Block.wireRedstone, BlockSounds.STONE);
-
-        addDispatch(Block.torchRedstoneIdle, BlockSounds.WOOD);
-        addDispatch(Block.torchRedstoneActive, BlockSounds.WOOD);
-
-        addDispatch(Block.buttonStone, BlockSounds.STONE);
-
-        addDispatch(Block.leverCobbleStone, BlockSounds.STONE);
-
-        addDispatch(Block.pressureplateStone, BlockSounds.STONE);
-        addDispatch(Block.pressureplatePlanksOak, BlockSounds.WOOD);
-        addDispatch(Block.pressureplateCobbleStone, BlockSounds.STONE);
-
-        addDispatch(Block.motionsensorIdle, BlockSounds.STONE);
-        addDispatch(Block.motionsensorActive, BlockSounds.STONE);
-
-        addDispatch(Block.repeaterIdle, BlockSounds.STONE);
-        addDispatch(Block.repeaterActive, BlockSounds.STONE);
-
-        addDispatch(Block.pistonBase, BlockSounds.STONE);
-        addDispatch(Block.pistonBaseSticky, BlockSounds.STONE);
-        addDispatch(Block.pistonHead, BlockSounds.STONE);
-        addDispatch(Block.pistonMoving, BlockSounds.STONE);
-
-        addDispatch(Block.noteblock, BlockSounds.WOOD);
-
-        addDispatch(Block.rail, BlockSounds.METAL);
-        addDispatch(Block.railPowered, BlockSounds.METAL);
-        addDispatch(Block.railDetector, BlockSounds.METAL);
-
-        addDispatch(Block.spikes, BlockSounds.METAL);
-
-        addDispatch(Block.dispenserCobbleStone, BlockSounds.STONE);
-
-        addDispatch(Block.trapdoorPlanksOak, BlockSounds.WOOD);
-        addDispatch(Block.trapdoorIron, BlockSounds.METAL);
-        addDispatch(Block.trapdoorGlass, BlockSounds.GLASS);
-
-        addDispatch(Block.tnt, BlockSounds.GRASS);
-
-        addDispatch(Block.doorPlanksOakBottom, BlockSounds.WOOD);
-        addDispatch(Block.doorPlanksOakTop, BlockSounds.WOOD);
-        addDispatch(Block.doorIronBottom, BlockSounds.METAL);
-        addDispatch(Block.doorIronTop, BlockSounds.METAL);
-
-        addDispatch(Block.mesh, BlockSounds.METAL);
-
-        addDispatch(Block.bed, BlockSounds.WOOD);
-        addDispatch(Block.seat, BlockSounds.WOOD);
-
-        addDispatch(Block.cobweb, BlockSounds.CLOTH);
-
-        addDispatch(Block.fire, BlockSounds.FIRE);
-
-        addDispatch(Block.mobspawner, BlockSounds.METAL);
-        addDispatch(Block.mobspawnerDeactivated, BlockSounds.METAL);
-
-        addDispatch(Block.workbench, BlockSounds.WOOD);
-
-        addDispatch(Block.furnaceStoneIdle, BlockSounds.STONE);
-        addDispatch(Block.furnaceStoneActive, BlockSounds.STONE);
-        addDispatch(Block.furnaceBlastIdle, BlockSounds.METAL);
-        addDispatch(Block.furnaceBlastActive, BlockSounds.METAL);
-
-        addDispatch(Block.trommelIdle, BlockSounds.STONE);
-        addDispatch(Block.trommelActive, BlockSounds.STONE);
-
-        addDispatch(Block.chestLegacy, BlockSounds.WOOD);
-        addDispatch(Block.chestLegacyPainted, BlockSounds.WOOD);
-        addDispatch(Block.chestPlanksOak, BlockSounds.WOOD);
-        addDispatch(Block.chestPlanksOakPainted, BlockSounds.WOOD);
-
-        addDispatch(Block.basket, BlockSounds.CLOTH);
-
-        addDispatch(Block.cropsWheat, BlockSounds.GRASS);
-        addDispatch(Block.cropsPumpkin, BlockSounds.WOOD);
-
-        addDispatch(Block.farmlandDirt, BlockSounds.GRAVEL);
-
-        addDispatch(Block.signPostPlanksOak, BlockSounds.WOOD);
-        addDispatch(Block.signWallPlanksOak, BlockSounds.WOOD);
-        addDispatch(Block.flag, BlockSounds.WOOD);
-
-        addDispatch(Block.layerSnow, BlockSounds.CLOTH);
-        addDispatch(Block.layerLeavesOak, BlockSounds.GRASS);
-        addDispatch(Block.layerSlate, BlockSounds.STONE);
-
-        addDispatch(Block.ice, BlockSounds.GLASS);
-        addDispatch(Block.permaice, BlockSounds.GLASS);
-
-        addDispatch(Block.blockSnow, BlockSounds.CLOTH);
-
-        addDispatch(Block.cactus, BlockSounds.CLOTH);
-
-        addDispatch(Block.blockClay, BlockSounds.GRAVEL);
-
-        addDispatch(Block.sugarcane, BlockSounds.GRASS);
-        addDispatch(Block.blockSugarcane, BlockSounds.GRASS);
-        addDispatch(Block.blockSugarcaneBaked, BlockSounds.GRASS);
-
-        addDispatch(Block.jukebox, BlockSounds.WOOD);
-
-        addDispatch(Block.pumpkin, BlockSounds.WOOD);
-        addDispatch(Block.pumpkinCarvedIdle, BlockSounds.WOOD);
-        addDispatch(Block.pumpkinCarvedActive, BlockSounds.WOOD);
-
-        addDispatch(Block.netherrack, BlockSounds.STONE);
-        addDispatch(Block.netherrackIgneous, BlockSounds.STONE);
-
-        addDispatch(Block.soulsand, BlockSounds.SAND);
-
-        addDispatch(Block.glowstone, BlockSounds.GLASS);
-
-        addDispatch(Block.portalNether, BlockSounds.GLASS);
-        addDispatch(Block.portalParadise, BlockSounds.GLASS);
-
-        addDispatch(Block.cake, BlockSounds.CLOTH);
-
-        addDispatch(Block.lampIdle, BlockSounds.GLASS);
-        addDispatch(Block.lampActive, BlockSounds.GLASS);
-
-        addDispatch(Block.lanternFireflyGreen, BlockSounds.GLASS);
-        addDispatch(Block.lanternFireflyBlue, BlockSounds.GLASS);
-        addDispatch(Block.lanternFireflyOrange, BlockSounds.GLASS);
-        addDispatch(Block.lanternFireflyRed, BlockSounds.GLASS);
-        addDispatch(Block.jarGlass, BlockSounds.GLASS);
-
-        addDispatch(Block.overlayPebbles, BlockSounds.STONE);
-
-        addDispatch(Block.fenceChainlink, BlockSounds.METAL);
-        addDispatch(Block.fencePaperWall, BlockSounds.CLOTH);
-        addDispatch(Block.paperWall, BlockSounds.CLOTH);
-
-        validate();
-    }
-
-    @Override
-    protected BlockSound getDefault()
-    {
-        return BlockSounds.DEFAULT;
-    }
-
-    private void validate()
-    {
-        for (Block block : Block.blocksList)
-        {
-            if (block != null && dispatches.get(block) == null)
-            {
-                throw new RuntimeException("Block " + block.getKey() + " has no assigned sound!");
-            }
-        }
-    }
-}
+package net.minecraft.core.sound;

import net.minecraft.client.util.dispatch.Dispatcher;
import net.minecraft.core.block.Block;

public class BlockSoundDispatcher
    extends Dispatcher<Block, BlockSound>
{
    private static final BlockSoundDispatcher instance = new BlockSoundDispatcher();

    public static BlockSoundDispatcher getInstance()
    {
        return instance;
    }

    private BlockSoundDispatcher()
    {
        addDispatch(Block.stone, BlockSounds.STONE);
        addDispatch(Block.basalt, BlockSounds.STONE);
        addDispatch(Block.limestone, BlockSounds.STONE);
        addDispatch(Block.granite, BlockSounds.STONE);
        addDispatch(Block.marble, BlockSounds.STONE);
        addDispatch(Block.slate, BlockSounds.STONE);
        addDispatch(Block.permafrost, BlockSounds.STONE);

        addDispatch(Block.cobbleStone, BlockSounds.STONE);
        addDispatch(Block.cobbleStoneMossy, BlockSounds.STONE);
        addDispatch(Block.cobbleBasalt, BlockSounds.STONE);
        addDispatch(Block.cobbleLimestone, BlockSounds.STONE);
        addDispatch(Block.cobbleGranite, BlockSounds.STONE);
        addDispatch(Block.cobblePermafrost, BlockSounds.STONE);

        addDispatch(Block.stonePolished, BlockSounds.STONE);
        addDispatch(Block.granitePolished, BlockSounds.STONE);
        addDispatch(Block.limestonePolished, BlockSounds.STONE);
        addDispatch(Block.basaltPolished, BlockSounds.STONE);
        addDispatch(Block.slatePolished, BlockSounds.STONE);

        addDispatch(Block.pillarMarble, BlockSounds.STONE);
        addDispatch(Block.capstoneMarble, BlockSounds.STONE);

        addDispatch(Block.sandstone, BlockSounds.STONE);

        addDispatch(Block.stoneCarved, BlockSounds.STONE);
        addDispatch(Block.graniteCarved, BlockSounds.STONE);
        addDispatch(Block.limestoneCarved, BlockSounds.STONE);
        addDispatch(Block.basaltCarved, BlockSounds.STONE);

        addDispatch(Block.planksOak, BlockSounds.WOOD);
        addDispatch(Block.planksOakPainted, BlockSounds.WOOD);

        addDispatch(Block.torchCoal, BlockSounds.WOOD);
//        addDispatch(Block.candleSoulwax, BlockSounds.CLOTH);

        addDispatch(Block.ladderOak, BlockSounds.WOOD);

        addDispatch(Block.fencePlanksOak, BlockSounds.WOOD);
        addDispatch(Block.fencePlanksOakPainted, BlockSounds.WOOD);

        addDispatch(Block.fencegatePlanksOak, BlockSounds.WOOD);
        addDispatch(Block.fencegatePlanksOakPainted, BlockSounds.WOOD);

        addDispatch(Block.bookshelfPlanksOak, BlockSounds.WOOD);

        addDispatch(Block.wool, BlockSounds.CLOTH);
        addDispatch(Block.rope, BlockSounds.CLOTH);

        addDispatch(Block.brickClay, BlockSounds.STONE);
        addDispatch(Block.brickStonePolished, BlockSounds.STONE);
        addDispatch(Block.brickStonePolishedMossy, BlockSounds.STONE);
        addDispatch(Block.brickSandstone, BlockSounds.STONE);
        addDispatch(Block.brickGold, BlockSounds.METAL);
        addDispatch(Block.brickLapis, BlockSounds.STONE);
        addDispatch(Block.brickBasalt, BlockSounds.STONE);
        addDispatch(Block.brickLimestone, BlockSounds.STONE);
        addDispatch(Block.brickGranite, BlockSounds.STONE);
        addDispatch(Block.brickMarble, BlockSounds.STONE);
        addDispatch(Block.brickSlate, BlockSounds.STONE);
        addDispatch(Block.brickStone, BlockSounds.STONE);
        addDispatch(Block.brickPermafrost, BlockSounds.STONE);
        addDispatch(Block.brickIron, BlockSounds.METAL);

        addDispatch(Block.slabPlanksOak, BlockSounds.WOOD);
        addDispatch(Block.slabCobbleStone, BlockSounds.STONE);
        addDispatch(Block.slabSandstone, BlockSounds.STONE);
        addDispatch(Block.slabBrickStonePolished, BlockSounds.STONE);
        addDispatch(Block.slabStonePolished, BlockSounds.STONE);
        addDispatch(Block.slabBrickMarble, BlockSounds.STONE);
        addDispatch(Block.slabBrickClay, BlockSounds.STONE);
        addDispatch(Block.slabCapstoneMarble, BlockSounds.STONE);
        addDispatch(Block.slabCobbleBasalt, BlockSounds.STONE);
        addDispatch(Block.slabCobbleLimestone, BlockSounds.STONE);
        addDispatch(Block.slabCobbleGranite, BlockSounds.STONE);
        addDispatch(Block.slabBrickBasalt, BlockSounds.STONE);
        addDispatch(Block.slabBrickLimestone, BlockSounds.STONE);
        addDispatch(Block.slabBrickGranite, BlockSounds.STONE);
        addDispatch(Block.slabPlanksOakPainted, BlockSounds.WOOD);
        addDispatch(Block.slabBrickSlate, BlockSounds.STONE);
        addDispatch(Block.slabBrickStone, BlockSounds.STONE);
        addDispatch(Block.slabGranitePolished, BlockSounds.STONE);
        addDispatch(Block.slabLimestonePolished, BlockSounds.STONE);
        addDispatch(Block.slabBasaltPolished, BlockSounds.STONE);

        addDispatch(Block.stairsPlanksOak, BlockSounds.WOOD);
        addDispatch(Block.stairsCobbleStone, BlockSounds.STONE);
        addDispatch(Block.stairsBrickStonePolished, BlockSounds.STONE);
        addDispatch(Block.stairsBrickMarble, BlockSounds.STONE);
        addDispatch(Block.stairsCobbleBasalt, BlockSounds.STONE);
        addDispatch(Block.stairsCobbleLimestone, BlockSounds.STONE);
        addDispatch(Block.stairsCobbleGranite, BlockSounds.STONE);
        addDispatch(Block.stairsBrickBasalt, BlockSounds.STONE);
        addDispatch(Block.stairsBrickLimestone, BlockSounds.STONE);
        addDispatch(Block.stairsBrickGranite, BlockSounds.STONE);
        addDispatch(Block.stairsBrickClay, BlockSounds.STONE);
        addDispatch(Block.stairsPlanksOakPainted, BlockSounds.WOOD);
        addDispatch(Block.stairsBrickSlate, BlockSounds.STONE);
        addDispatch(Block.stairsBrickStone, BlockSounds.STONE);

        addDispatch(Block.obsidian, BlockSounds.STONE);

        addDispatch(Block.glass, BlockSounds.GLASS);
        addDispatch(Block.glassTinted, BlockSounds.GLASS);

        addDispatch(Block.grass, BlockSounds.GRASS);
        addDispatch(Block.grassRetro, BlockSounds.GRASS);
        addDispatch(Block.grassScorched, BlockSounds.GRASS);

        addDispatch(Block.pathDirt, BlockSounds.GRAVEL);

        addDispatch(Block.dirt, BlockSounds.GRAVEL);
        addDispatch(Block.dirtScorched, BlockSounds.GRAVEL);
        addDispatch(Block.dirtScorchedRich, BlockSounds.GRAVEL);

        addDispatch(Block.mud, BlockSounds.GRAVEL);
        addDispatch(Block.mudBaked, BlockSounds.STONE);

        addDispatch(Block.spongeDry, BlockSounds.GRASS);
        addDispatch(Block.spongeWet, BlockSounds.GRASS);

        addDispatch(Block.mossStone, BlockSounds.GRASS);
        addDispatch(Block.mossBasalt, BlockSounds.GRASS);
        addDispatch(Block.mossLimestone, BlockSounds.GRASS);
        addDispatch(Block.mossGranite, BlockSounds.GRASS);

        addDispatch(Block.sand, BlockSounds.SAND);
        addDispatch(Block.gravel, BlockSounds.GRAVEL);

        addDispatch(Block.bedrock, BlockSounds.STONE);

        addDispatch(Block.fluidWaterFlowing, BlockSounds.DEFAULT);
        addDispatch(Block.fluidWaterStill, BlockSounds.DEFAULT);
        addDispatch(Block.fluidLavaFlowing, BlockSounds.DEFAULT);
        addDispatch(Block.fluidLavaStill, BlockSounds.DEFAULT);

        addDispatch(Block.logOak, BlockSounds.WOOD);
        addDispatch(Block.logPine, BlockSounds.WOOD);
        addDispatch(Block.logBirch, BlockSounds.WOOD);
        addDispatch(Block.logCherry, BlockSounds.WOOD);
        addDispatch(Block.logEucalyptus, BlockSounds.WOOD);
        addDispatch(Block.logOakMossy, BlockSounds.WOOD);

        addDispatch(Block.leavesOak, BlockSounds.GRASS);
        addDispatch(Block.leavesOakRetro, BlockSounds.GRASS);
        addDispatch(Block.leavesPine, BlockSounds.GRASS);
        addDispatch(Block.leavesBirch, BlockSounds.GRASS);
        addDispatch(Block.leavesCherry, BlockSounds.GRASS);
        addDispatch(Block.leavesEucalyptus, BlockSounds.GRASS);
        addDispatch(Block.leavesShrub, BlockSounds.GRASS);
        addDispatch(Block.leavesCherryFlowering, BlockSounds.GRASS);
        addDispatch(Block.leavesCacao, BlockSounds.GRASS);
        addDispatch(Block.leavesCaatinga, BlockSounds.GRASS);

        addDispatch(Block.saplingOak, BlockSounds.GRASS);
        addDispatch(Block.saplingOakRetro, BlockSounds.GRASS);
        addDispatch(Block.saplingPine, BlockSounds.GRASS);
        addDispatch(Block.saplingBirch, BlockSounds.GRASS);
        addDispatch(Block.saplingCherry, BlockSounds.GRASS);
        addDispatch(Block.saplingEucalyptus, BlockSounds.GRASS);
        addDispatch(Block.saplingShrub, BlockSounds.GRASS);
        addDispatch(Block.saplingCacao, BlockSounds.GRASS);

        addDispatch(Block.tallgrass, BlockSounds.GRASS);
        addDispatch(Block.tallgrassFern, BlockSounds.GRASS);
        addDispatch(Block.deadbush, BlockSounds.GRASS);
        addDispatch(Block.spinifex, BlockSounds.GRASS);
        addDispatch(Block.algae, BlockSounds.GRASS);

        addDispatch(Block.flowerYellow, BlockSounds.GRASS);
        addDispatch(Block.flowerRed, BlockSounds.GRASS);

        addDispatch(Block.mushroomBrown, BlockSounds.GRASS);
        addDispatch(Block.mushroomRed, BlockSounds.GRASS);

        addDispatch(Block.oreCoalStone, BlockSounds.STONE);
        addDispatch(Block.oreCoalBasalt, BlockSounds.STONE);
        addDispatch(Block.oreCoalLimestone, BlockSounds.STONE);
        addDispatch(Block.oreCoalGranite, BlockSounds.STONE);

        addDispatch(Block.oreIronStone, BlockSounds.STONE);
        addDispatch(Block.oreIronBasalt, BlockSounds.STONE);
        addDispatch(Block.oreIronLimestone, BlockSounds.STONE);
        addDispatch(Block.oreIronGranite, BlockSounds.STONE);

        addDispatch(Block.oreGoldStone, BlockSounds.STONE);
        addDispatch(Block.oreGoldBasalt, BlockSounds.STONE);
        addDispatch(Block.oreGoldLimestone, BlockSounds.STONE);
        addDispatch(Block.oreGoldGranite, BlockSounds.STONE);

        addDispatch(Block.oreLapisStone, BlockSounds.STONE);
        addDispatch(Block.oreLapisBasalt, BlockSounds.STONE);
        addDispatch(Block.oreLapisLimestone, BlockSounds.STONE);
        addDispatch(Block.oreLapisGranite, BlockSounds.STONE);

        addDispatch(Block.oreRedstoneStone, BlockSounds.STONE);
        addDispatch(Block.oreRedstoneBasalt, BlockSounds.STONE);
        addDispatch(Block.oreRedstoneLimestone, BlockSounds.STONE);
        addDispatch(Block.oreRedstoneGranite, BlockSounds.STONE);

        addDispatch(Block.oreRedstoneGlowingStone, BlockSounds.STONE);
        addDispatch(Block.oreRedstoneGlowingBasalt, BlockSounds.STONE);
        addDispatch(Block.oreRedstoneGlowingLimestone, BlockSounds.STONE);
        addDispatch(Block.oreRedstoneGlowingGranite, BlockSounds.STONE);

        addDispatch(Block.oreDiamondStone, BlockSounds.STONE);
        addDispatch(Block.oreDiamondBasalt, BlockSounds.STONE);
        addDispatch(Block.oreDiamondLimestone, BlockSounds.STONE);
        addDispatch(Block.oreDiamondGranite, BlockSounds.STONE);

        addDispatch(Block.oreNethercoalNetherrack, BlockSounds.STONE);

        addDispatch(Block.blockCoal, BlockSounds.STONE);
        addDispatch(Block.blockIron, BlockSounds.METAL);
        addDispatch(Block.blockGold, BlockSounds.METAL);
        addDispatch(Block.blockLapis, BlockSounds.STONE);
        addDispatch(Block.blockRedstone, BlockSounds.STONE);
        addDispatch(Block.blockDiamond, BlockSounds.STONE);
        addDispatch(Block.blockNetherCoal, BlockSounds.STONE);
        addDispatch(Block.blockSteel, BlockSounds.METAL);
        addDispatch(Block.blockQuartz, BlockSounds.STONE);
        addDispatch(Block.blockOlivine, BlockSounds.STONE);
        addDispatch(Block.blockCharcoal, BlockSounds.STONE);

        addDispatch(Block.wireRedstone, BlockSounds.STONE);

        addDispatch(Block.torchRedstoneIdle, BlockSounds.WOOD);
        addDispatch(Block.torchRedstoneActive, BlockSounds.WOOD);

        addDispatch(Block.buttonStone, BlockSounds.STONE);

        addDispatch(Block.leverCobbleStone, BlockSounds.STONE);

        addDispatch(Block.pressureplateStone, BlockSounds.STONE);
        addDispatch(Block.pressureplatePlanksOak, BlockSounds.WOOD);
        addDispatch(Block.pressureplateCobbleStone, BlockSounds.STONE);

        addDispatch(Block.motionsensorIdle, BlockSounds.STONE);
        addDispatch(Block.motionsensorActive, BlockSounds.STONE);

        addDispatch(Block.repeaterIdle, BlockSounds.STONE);
        addDispatch(Block.repeaterActive, BlockSounds.STONE);

        addDispatch(Block.pistonBase, BlockSounds.STONE);
        addDispatch(Block.pistonBaseSticky, BlockSounds.STONE);
        addDispatch(Block.pistonHead, BlockSounds.STONE);
        addDispatch(Block.pistonMoving, BlockSounds.STONE);

        addDispatch(Block.noteblock, BlockSounds.WOOD);

        addDispatch(Block.rail, BlockSounds.METAL);
        addDispatch(Block.railPowered, BlockSounds.METAL);
        addDispatch(Block.railDetector, BlockSounds.METAL);

        addDispatch(Block.spikes, BlockSounds.METAL);

        addDispatch(Block.dispenserCobbleStone, BlockSounds.STONE);

        addDispatch(Block.trapdoorPlanksOak, BlockSounds.WOOD);
        addDispatch(Block.trapdoorPlanksOakPainted, BlockSounds.WOOD);
        addDispatch(Block.trapdoorIron, BlockSounds.METAL);
        addDispatch(Block.trapdoorGlass, BlockSounds.GLASS);

        addDispatch(Block.tnt, BlockSounds.GRASS);

        addDispatch(Block.doorPlanksOakBottom, BlockSounds.WOOD);
        addDispatch(Block.doorPlanksOakTop, BlockSounds.WOOD);
        addDispatch(Block.doorIronBottom, BlockSounds.METAL);
        addDispatch(Block.doorIronTop, BlockSounds.METAL);
        addDispatch(Block.doorPlanksOakPaintedBottom, BlockSounds.WOOD);
        addDispatch(Block.doorPlanksOakPaintedTop, BlockSounds.WOOD);
        addDispatch(Block.doorGlassBottom, BlockSounds.GLASS);
        addDispatch(Block.doorGlassTop, BlockSounds.GLASS);

        addDispatch(Block.mesh, BlockSounds.METAL);
        addDispatch(Block.meshGold, BlockSounds.METAL);

        addDispatch(Block.bed, BlockSounds.WOOD);
        addDispatch(Block.seat, BlockSounds.WOOD);

        addDispatch(Block.cobweb, BlockSounds.CLOTH);

        addDispatch(Block.fire, BlockSounds.FIRE);
        addDispatch(Block.brazierInactive, BlockSounds.METAL);
        addDispatch(Block.brazierActive, BlockSounds.FIRE);

        addDispatch(Block.mobspawner, BlockSounds.METAL);
        addDispatch(Block.mobspawnerDeactivated, BlockSounds.METAL);

        addDispatch(Block.workbench, BlockSounds.WOOD);

        addDispatch(Block.furnaceStoneIdle, BlockSounds.STONE);
        addDispatch(Block.furnaceStoneActive, BlockSounds.STONE);
        addDispatch(Block.furnaceBlastIdle, BlockSounds.METAL);
        addDispatch(Block.furnaceBlastActive, BlockSounds.METAL);

        addDispatch(Block.trommelIdle, BlockSounds.STONE);
        addDispatch(Block.trommelActive, BlockSounds.STONE);

        addDispatch(Block.chestLegacy, BlockSounds.WOOD);
        addDispatch(Block.chestLegacyPainted, BlockSounds.WOOD);
        addDispatch(Block.chestPlanksOak, BlockSounds.WOOD);
        addDispatch(Block.chestPlanksOakPainted, BlockSounds.WOOD);

        addDispatch(Block.basket, BlockSounds.CLOTH);

        addDispatch(Block.cropsWheat, BlockSounds.GRASS);
        addDispatch(Block.cropsPumpkin, BlockSounds.WOOD);

        addDispatch(Block.farmlandDirt, BlockSounds.GRAVEL);

        addDispatch(Block.signPostPlanksOak, BlockSounds.WOOD);
        addDispatch(Block.signWallPlanksOak, BlockSounds.WOOD);
        addDispatch(Block.flag, BlockSounds.WOOD);

        addDispatch(Block.layerSnow, BlockSounds.CLOTH);
        addDispatch(Block.layerLeavesOak, BlockSounds.GRASS);
        addDispatch(Block.layerSlate, BlockSounds.STONE);

        addDispatch(Block.ice, BlockSounds.GLASS);
        addDispatch(Block.permaice, BlockSounds.GLASS);

        addDispatch(Block.blockSnow, BlockSounds.CLOTH);

        addDispatch(Block.cactus, BlockSounds.CLOTH);

        addDispatch(Block.blockClay, BlockSounds.GRAVEL);

        addDispatch(Block.sugarcane, BlockSounds.GRASS);
        addDispatch(Block.blockSugarcane, BlockSounds.GRASS);
        addDispatch(Block.blockSugarcaneBaked, BlockSounds.GRASS);

        addDispatch(Block.jukebox, BlockSounds.WOOD);

        addDispatch(Block.pumpkin, BlockSounds.WOOD);
        addDispatch(Block.pumpkinCarvedIdle, BlockSounds.WOOD);
        addDispatch(Block.pumpkinCarvedActive, BlockSounds.WOOD);

        addDispatch(Block.netherrack, BlockSounds.STONE);
        addDispatch(Block.netherrackIgneous, BlockSounds.STONE);

        addDispatch(Block.soulsand, BlockSounds.SAND);

        addDispatch(Block.glowstone, BlockSounds.GLASS);

        addDispatch(Block.portalNether, BlockSounds.GLASS);
        addDispatch(Block.portalParadise, BlockSounds.GLASS);

        addDispatch(Block.cake, BlockSounds.CLOTH);

        addDispatch(Block.lampIdle, BlockSounds.GLASS);
        addDispatch(Block.lampActive, BlockSounds.GLASS);

        addDispatch(Block.lanternFireflyGreen, BlockSounds.GLASS);
        addDispatch(Block.lanternFireflyBlue, BlockSounds.GLASS);
        addDispatch(Block.lanternFireflyOrange, BlockSounds.GLASS);
        addDispatch(Block.lanternFireflyRed, BlockSounds.GLASS);
        addDispatch(Block.jarGlass, BlockSounds.GLASS);

        addDispatch(Block.overlayPebbles, BlockSounds.STONE);

        addDispatch(Block.fenceChainlink, BlockSounds.METAL);
        addDispatch(Block.fencePaperWall, BlockSounds.CLOTH);
        addDispatch(Block.paperWall, BlockSounds.CLOTH);

        validate();
    }

    @Override
    protected BlockSound getDefault()
    {
        return BlockSounds.DEFAULT;
    }

    private void validate()
    {
        for (Block block : Block.blocksList)
        {
            if (block != null && dispatches.get(block) == null)
            {
                throw new RuntimeException("Block " + block.getKey() + " has no assigned sound!");
            }
        }
    }
}
\ No newline at end of file
